Bug 3526 - autoconfiguration: get more detailed error message
Summary: autoconfiguration: get more detailed error message
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Other (show other bugs)
Version: 3.13.0
Hardware: All All
: P3 minor
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-09-28 14:42 CEST by Christian Hesse
Modified: 2015-10-02 09:00 CEST (History)
0 users

See Also:


Attachments
autoconfiguration: get more detailed error message (2.62 KB, patch)
2015-09-28 14:43 CEST, Christian Hesse
no flags Details | Diff
autoconfiguration: get more detailed error message (2.84 KB, patch)
2015-09-28 20:13 CEST, Christian Hesse
no flags Details | Diff
autoconfiguration: log to network log (3.51 KB, patch)
2015-09-30 08:34 CEST, Christian Hesse
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Hesse 2015-09-28 14:42:37 CEST
Just "Failed" does not give enough hints... Let's give a reasonable error message.
Comment 1 Christian Hesse 2015-09-28 14:43:00 CEST
Created attachment 1570 [details]
autoconfiguration: get more detailed error message
Comment 2 Ricardo Mones 2015-09-28 18:35:10 CEST
While idea is not bad, current patch prints an untranslated string (the raw error message) in the middle of a translated string.

For non-english users it will be a poor translation, and won't help much either since they won't understand the error message itself.

IMHO, either you get the possible error codes and write the appropriate message for each one of them (so translators can translate) or just do a g_warning with the error message if all you want is additional info printed somewhere.
Comment 3 Christian Hesse 2015-09-28 18:47:11 CEST
(In reply to comment #2)
> While idea is not bad, current patch prints an untranslated string (the raw
> error message) in the middle of a translated string.
> 
> For non-english users it will be a poor translation, and won't help much
> either since they won't understand the error message itself.
> 
> IMHO, either you get the possible error codes and write the appropriate
> message for each one of them (so translators can translate)

Good point. I will update the patch. Not a big deal as we have to handle just two error codes.

> or just do a
> g_warning with the error message if all you want is additional info printed
> somewhere.

With g_warning this is printed to console?
Possibly we should log errors (and success?) to network log. Is it ok to have untranslated strings there?
Comment 4 Christian Hesse 2015-09-28 20:13:36 CEST
Created attachment 1572 [details]
autoconfiguration: get more detailed error message

Let's use error code instead of error message...
Comment 5 Christian Hesse 2015-09-30 08:34:52 CEST
Created attachment 1576 [details]
autoconfiguration: log to network log
Comment 6 Ricardo Mones 2015-10-01 13:11:19 CEST
(In reply to comment #5)
> Created attachment 1576 [details]
> autoconfiguration: log to network log

Umm, I've just made a simpler patch based on your second one which I'll probably apply tonight.

Once applied I don't think logging to network log is required for this, as errors are going to be seen on the interface anyway.

Sorry for not being able to answer before ;-)
Comment 7 users 2015-10-01 22:07:02 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2015-10-01 22:07:02.186306990 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=bfec412f69678d4d696e2c6397b7f6660e8e2f53
Merge: 16faf31 e6aa883
Author: Colin Leroy <colin@colino.net>
Date:   Thu Oct 1 22:07:01 2015 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=e6aa8837949636cb1c8540074b87e26907022c05
Author: Ricardo Mones <ricardo@mones.org>
Date:   Wed Sep 30 23:17:41 2015 +0200

    Fix bug #3526 ‘autoconfiguration: get more detailed error message’
    
    Based on original patch by Christian Hesse (thanks!).